/* HOME */
.page--home {
  .sectional {
    h2 {
      .font-roboto-condensed {
        font-size: 1.35rem;
      }

      .font-satisfy {
        font-size: 2.125rem;
        line-height: 0.75;
      }
    }
  }

  .section--intro {
    .video-container {
      aspect-ratio: 9/16;
      width: 100vw;

      video {
        height: 100%;
        object-fit: cover;
        position: absolute;
        top: 0;
        width: 100%;
      }
    }

    h1 {
      .font-roboto-condensed {
        font-size: 2.25rem;
      }

      .font-satisfy {
        font-size: 2.5rem;
      }
    }
  }

  .section--features {
    .delivery-content {
      position: absolute;
      top: 0;
      left: 0;

      .container-flag {
        margin-left: 10px;
        width: 8rem;

        .flag-left--turquioise {
          font-size: 1.5rem;
        }

        p {
          font-size: 1.5rem;
        }
      }
    }
  }

  .section--eclub {
    .form-control {
      border: 2px solid var(--csk-light-blue, #7ea8af);
    }

    small {
      font-size: 0.73rem;
    }

    h3 {
      .font-satisfy {
        font-size: 2.5rem;
        line-height: 0.75;
      }
    }
  }

  .section--menu-highlights {
    h2 {
      font-size: 2.25rem;
    }

    .card-item {
      h3 {
        .font-roboto-condensed {
          font-size: 1.5rem;
        }

        .font-satisfy {
          font-size: 2.5rem;
          line-height: 0.75;
        }
      }

      h4 {
        font-size: 1.25rem;
      }
    }
  }

  .section--favorites {
    h2 {
      font-size: 2.25rem;
    }

    h3 {
      font-size: 1.25rem;
    }

    .card {
      border: none;

      img {
        border: 10px solid white;
        box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
          rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
      }
    }

    .slick-next:before,
    .slick-prev:before {
      content: "";
    }

    .slick-prev,
    .slick-next {
      top: 35%;
      z-index: 1;
    }

    .slick-prev {
      left: 3%;
    }

    .slick-next {
      right: 3%;
    }
  }

  @media (min-width: 375px) {
    .section--features {
      .delivery-content {
        .label-flag p {
          font-size: 1.85rem;
        }
      }
    }

    .section--favorites {
      h2 {
        font-size: 2.25rem;
      }
    }

    .section--menu-highlights {
      h2 {
        font-size: 2.25rem;
      }
    }

    .section--favorites {
      h3 {
        font-size: 1.5rem;
      }
    }
  }

  @media (min-width: 425px) {

    .section--features,
    .section--eclub,
    .section--favorites,
    .section--menu-highlights {
      padding: 0 6%;
    }
  }

  @media (min-width: 540px) {
    .section--intro {
      .video-container {
        aspect-ratio: 4/5;
      }
    }
  }

  @media (min-width: 576px) {

    .section--features,
    .section--eclub,
    .section--favorites,
    .section--menu-highlights {
      padding: 0;
    }

    .section--favorites {
      .slick-slide {
        width: 60vw;
        margin-right: 0.25rem;
      }

      h3 {
        font-size: 1.25rem;
      }
    }

    @supports (width: 50cqw) {
      .section--favorites {
        .slick-slide {
          width: 50cqw;
        }
      }
    }
  }

  @media (min-width: 768px) {
    .h-md-100 {
      height: 100% !important;
    }

    .section--intro {
      .video-container {
        aspect-ratio: 16/9;
      }
    }

    .sectional {
      h2 {
        .font-roboto-condensed {
          font-size: 2rem;
        }

        .font-satisfy {
          font-size: 2.75rem;
        }
      }
    }

    .section--features {
      .delivery-content {
        .container-flag {
          margin-left: 0;
          width: 7rem;
        }

        .delivery-discalimer {
          p {
            font-size: 0.93rem;
          }
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1rem;
        }

        .lunch-discalimer {
          p {
            font-size: 1rem;
          }
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 1.5rem;
        }

        .font-satisfy {
          font-size: 2.25rem;
        }
      }

      img {
        scale: 1.4;
      }

      small {
        font-size: 0.9rem;
      }
    }

    .section--favorites {
      h2 {
        font-size: 2.75rem;
      }
    }

    .section--menu-highlights {
      h2 {
        font-size: 2.75rem;
      }

      .card-item {
        &.card-item__racing {
          h3 {
            .font-roboto-condensed {
              font-size: 2rem;
            }

            .font-satisfy {
              font-size: 3rem;
            }
          }
        }
      }
    }

    .section--favorites {
      .slick-slide {
        width: 70vw;
      }
    }

    @supports (width: 60cqw) {
      .section--favorites {
        .slick-slide {
          width: 60cqw;
        }
      }
    }

    .section--menu-highlights {
      img {
        object-fit: cover;
        height: 100%;
        width: 100%;
      }
    }
  }

  @media (min-width: 992px) {

    a[class^="btn"],
    a[class^="btn"]:hover,
    a[class^="btn"]:focus,
    a[class^="btn"]:visited,
    a[class^="btn"]:active {
      font-size: 1.25rem;
    }

    .section--intro {
      h1 {
        .font-roboto-condensed {
          font-size: 2.25rem;
        }

        .font-satisfy {
          font-size: 3.75rem;
        }
      }
    }

    .section--features {
      .delivery-available {
        p {
          font-size: 1.25rem;
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1.25rem;
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 2.125rem;
        }

        .font-satisfy {
          font-size: 2.75rem;
        }
      }

      P {
        font-size: 1.1rem;
      }
    }

    .section--favorites {
      h3 {
        font-size: 1.5rem;
      }

      .slick-slide {
        width: 50vw;
      }

      .card {
        border: 1px solid rgba(0, 0, 0, 0.125);
      }

      .card img {
        border: unset;
        box-shadow: unset;
        border-top-left-radius: 0.3125rem;
        border-top-right-radius: 0.3125rem;
      }
    }

    @supports (width: 40cqw) {
      .section--favorites {
        .slick-slide {
          width: 40cqw;
        }
      }
    }

    .section--menu-highlights {
      h3 {
        font-size: 2.25rem;
      }

      h3:has(span.text--yellow) {
        font-size: 2.75rem;
      }

      p {
        font-size: 1.2rem;
      }
    }
  }

  @media (min-width: 1200px) {
    .gap-xl-8 {
      gap: 2rem;
    }

    .section--intro {
      h1 {
        .font-roboto-condensed {
          font-size: 3rem;
        }

        .font-satisfy {
          font-size: 4rem;
        }
      }
    }

    .sectional {
      h2 {
        .font-satisfy {
          font-size: 4rem;
        }

        .font-roboto-condensed {
          font-size: 3.25rem;
        }
      }
    }

    .section--features {
      .delivery-content {
        .container-flag {
          width: 10rem;

          .flag-left--turquioise {
            font-size: 2.5rem;
          }
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1.5rem;
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 2.35rem;
        }

        .font-satisfy {
          font-size: 3rem;
        }
      }

      p {
        font-size: 1.25rem;
      }

      small {
        font-size: 1.1rem;
      }
    }

    .section--favorites {
      h2 {
        font-size: 3.75rem;
      }
    }

    .section--menu-highlights {
      h2 {
        font-size: 3.75rem;
      }

      .card-item {
        h3 {
          .font-satisfy {
            font-size: 3.25rem;
          }

          .font-roboto-condensed {
            font-size: 2rem;
          }
        }

        h4 {
          font-size: 1.5rem;
        }

        &.card-item__racing {
          h3 {
            .font-roboto-condensed {
              font-size: 3.5rem;
            }

            .font-satisfy {
              font-size: 5rem;
            }
          }

          p {
            font-size: 1.75rem;
          }
        }
      }
    }

    .section--favorites {
      .slick-slide {
        width: 45vw;
      }
    }

    @supports (width: 35cqw) {
      .section--favorites {
        .slick-slide {
          width: 35cqw;
        }
      }
    }

    .section--menu-highlights {
      h3 {
        font-size: 2.5rem;
      }

      h3:has(span.text--yellow) {
        font-size: 3rem;
      }

      h4 {
        font-size: 1.75rem;
      }

      p {
        font-size: 1.5rem;
      }
    }
  }

  @media (min-width: 1400px) {
    .section--features {
      .delivery-available {
        p {
          font-size: 1.5rem;
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1.75rem;
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 2.6rem;
        }

        .font-satisfy {
          font-size: 3.5rem;
        }
      }
    }

    .section--favorites {
      h3 {
        font-size: 1.75rem;
      }

      .slick-slide {
        width: 35vw;
      }
    }

    .section--menu-highlights {
      .card-item {
        h3 {
          .font-satisfy {
            font-size: 4rem;
          }

          .font-roboto-condensed {
            font-size: 2.25rem;
          }
        }

        h4 {
          font-size: 1.75rem;
        }
      }
    }

    @supports (width: 25cqw) {
      .section--favorites {
        .slick-slide {
          width: 25cqw;
        }
      }
    }

    .section--menu-highlights {
      h3 {
        font-size: 3.1rem;
      }

      h3:has(span.text--yellow) {
        font-size: 4rem;
      }

      h4 {
        font-size: 2rem;
      }

      p {
        font-size: 1.75rem;
      }
    }
  }

  @media (min-width: 1600px) {
    .section--intro {
      .video-container {
        aspect-ratio: 21/9;

        h1 {
          .font-roboto-condensed {
            font-size: 4rem;
          }

          .font-satisfy {
            font-size: 5rem;
          }
        }
      }
    }

    .sectional {
      h2 {
        .font-satisfy {
          font-size: 5.5rem;
        }

        .font-roboto-condensed {
          font-size: 4rem;
        }
      }
    }
  }
}